Description

Cuando intenetamos exportar a PostgreSQL un shape con fechas falla la exportacion diciendo que el campo fecha es un valor que no
adminite nulos.

Al parecer el proveedor de DBF marca como AllowNull=False todas las columnas y al exportar a PostgreSQL traslada el flag como
que no adminite nulos; sin embargo el DBF puede contener fechas en blanco que se traucen en valores nulos, por o que falla al

guardarlo en la BBDD.

Los valores de tipo fecha de los shapes deberian tener el flag de AllowNull a True.

Associated revisions

Revision 41483 - 07/02/2014 12:05 PM - Joaquin del Cerro Murciano

fix problems with dates in dbfs, refs #2626, refs #2627

History

#1 - 07/02/2014 05:27 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#2 - 07/21/2014 10:30 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2238-testing

#3 - 07/22/2014 07:19 AM - Alvaro Anguix

- Status changed from Fixed to Closed
